uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Burn Lewis (JIRA)" <...@uima.apache.org>
Subject [jira] [Commented] (UIMA-5473) Remove JCas classes from the user jar for UIMA V2/V3 compatibility
Date Thu, 15 Feb 2018 13:54:00 GMT

    [ https://issues.apache.org/jira/browse/UIMA-5473?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16365555#comment-16365555
] 

Burn Lewis commented on UIMA-5473:
----------------------------------

A work-around is to use DUCC_USER_CP_PREPEND with a UIMA-V3 version of the Workitem class

> Remove JCas classes from the user jar for UIMA V2/V3 compatibility
> ------------------------------------------------------------------
>
>                 Key: UIMA-5473
>                 URL: https://issues.apache.org/jira/browse/UIMA-5473
>             Project: UIMA
>          Issue Type: Bug
>          Components: DUCC
>            Reporter: Burn Lewis
>            Priority: Major
>             Fix For: future-DUCC
>
>
> UIMA V2 & V3 JCas classes are incompatible and since the uima-ducc-user jar is added
to the user's class path we must either support 2 versions of that jar or remove any use of
JCas.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message